<?php use_helper('UrlFunctions'); ?>
<?php

if(isset($delete)){
  if($id){
  	$o_BalanceDia = new BalanceDiaBean();
  	$o_BalanceDia->setIdColaborador($id);
  	
  	$o_ObjectBean = new AdelantoBean();
  	$a_Colaborador[] = $id;
	$o_ObjectBean->setIdColaboradores($a_Colaborador);
	$o_class = new AdelantoBL();
	$a_ObjectBeanAS = $o_class->busquedaAdelanto($o_ObjectBean);
	
	if(myUser::getUser()->getRoleId() == 'sys.gen'){
  		$o_ColaboradorBean = new ColaboradorBean();
	    $o_ColaboradorBean->setIdColaborador($id);
	    
	    $o_ColaboradorBean->setUsuarioEliminado(myUser::getUser()->getUserId());
	    
	    $o_ColaboradorSystemClass = new ColaboradorSystemClass($o_ColaboradorBean);
	    $bResult = $o_ColaboradorSystemClass->eliminarColaborador();
	    
  	}else{
	  	if(is_array($a_ObjectBeanAS)){
			exit ("No se puede eliminar este Representante");
		}
	  	
	  	$o_BalanceDiaDP = new BalanceDiaDP($o_BalanceDia);
	  	$a_balances = $o_BalanceDiaDP->select();
	  	
	  	  	
	  	$o_PrestamoBean = new PrestamoBean();
	  	$o_PrestamoBean->setIdColaboradorPrestamo($id);
	  	$o_PrestamoBean->setEstado('P');
	  	$o_PrestamoDP = new PrestamoDP($o_PrestamoBean);
	  	$a_prestamos = $o_PrestamoDP->select();
	  	
	  	if(is_array($a_prestamos)){
	  		echo "si";
	  	}
  	
  	
	  	if(!is_array($a_prestamos)){
	  	//if(!is_array($a_balances) && !is_array($a_prestamos)){
		    $o_ColaboradorBean = new ColaboradorBean();
		    $o_ColaboradorBean->setIdColaborador($id);
		    
		    $o_ColaboradorBean->setUsuarioEliminado(myUser::getUser()->getUserId());
		    
		    $o_ColaboradorSystemClass = new ColaboradorSystemClass($o_ColaboradorBean);
		    $bResult = $o_ColaboradorSystemClass->eliminarColaborador();
	  	}else{
	  		echo "No se puede eliminar este Representante";
	  	}
  	}
    if($bResult){
      ?>
      <script language="JavaScript">
      parent.objMainTab.reqBody('<?=buildUrl('rep/list')?>','001&delete=1&cod=<?=$o_ColaboradorBean->getIdColaborador()?>');
      parent.objMainTab.windowsCloseAll();
      </script>
      <?
      
    }else{
       $url = buildUrl('rep/delete', "block=".$block."&error=1");
    }
  } 
}
